/*
 * Instance header file for ATSAM9X75D5M
 *
 * Copyright (c) 2023 Microchip Technology Inc. and its subsidiaries.
 *
 * Subject to your compliance with these terms, you may use Microchip software and any derivatives
 * exclusively with Microchip products. It is your responsibility to comply with third party license
 * terms applicable to your use of third party software (including open source software) that may
 * accompany Microchip software.
 *
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY,
 * APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND
 * FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL OR CONSEQUENTIAL
 * LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF
 * MICROCHIP HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE FULLEST EXTENT
 * ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT
 * EXCEED THE AMOUNT OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 */

/* file generated from device description version 2023-01-20T08:33:42Z */
#ifndef _SAM9X7_GMAC_INSTANCE_
#define _SAM9X7_GMAC_INSTANCE_


/* ========== Instance Parameter definitions for GMAC peripheral ========== */
#define GMAC_CLOCK_ID                            (24)       
#define GMAC_CLOCK_ID_TSU                        (67)       
#define GMAC_INSTANCE_ID                         (24)       /* Gigabit Ethernet MAC */
#define GMAC_INSTANCE_ID_EMAC                    (65)       /* Gigabit Ethernet MAC - Express MAC */
#define GMAC_INSTANCE_ID_MMSL                    (66)       /* Gigabit Ethernet MAC - Mac Merge SubLayer */
#define GMAC_INSTANCE_ID_Q1                      (60)       /* GMAC Queue 1 Interrupt signal toggled on a DMA write to the first word of each DMA data buffer associated with queue 1 */
#define GMAC_INSTANCE_ID_Q2                      (61)       /* GMAC Queue 2 Interrupt signal toggled on a DMA write to the first word of each DMA data buffer associated with queue 2 */
#define GMAC_INSTANCE_ID_Q3                      (62)       /* GMAC Queue 3 Interrupt signal toggled on a DMA write to the first word of each DMA data buffer associated with queue 3 */
#define GMAC_INSTANCE_ID_Q4                      (63)       /* GMAC Queue 4 Interrupt signal toggled on a DMA write to the first word of each DMA data buffer associated with queue 4 */
#define GMAC_INSTANCE_ID_Q5                      (64)       /* GMAC Queue 5 Interrupt signal toggled on a DMA write to the first word of each DMA data buffer associated with queue 5 */
#define GMAC_INSTANCE_ID_TSU                     (67)       /* Gigabit Ethernet MAC - Time Stamp Unit */

#endif /* _SAM9X7_GMAC_INSTANCE_ */
